@echo off
rem Update translation files from source code

rem Update translations...
echo Update translations...
xgettext --language=c++ --msgid-bugs-address=Sven.Heinzel@gmx.net --output=translations\libsudoku.pot include\sudoku\*.h src\*.c*
for %%i in (translations\*.po) do msgmerge --quiet --update %%i translations\libsudoku.pot

rem Generate translations...
echo Generate translations...
for %%i in (translations\*.po) do mkdir translations\%%~ni
for %%i in (translations\*.po) do msgfmt --output-file=translations\%%~ni\libsudoku.mo %%i
for %%i in (translations\*.po) do msgfmt --qt --output-file=translations\%%~ni\libsudoku.qm %%i

echo Finished!
