TEMPLATE        = lib
VERSION         = $$system(perl ../scripts/version.pl ../include/sudoku/Lib.h)
TARGET          = sudoku

CONFIG         -= qt thread rtti
CONFIG         += staticlib stl exceptions
DEFINES        += SUDOKU_LIBCOMPILE

#
# source files
#

HEADERS        += ../include/sudoku/sudoku.h \
                  ../include/sudoku/sudoku_version.h \
                  ../include/sudoku/Allowed.h \
                  ../include/sudoku/GenerateOptions.h \
                  ../include/sudoku/Generator.h \
                  ../include/sudoku/Grid.h \
                  ../include/sudoku/Layout.h \
                  ../include/sudoku/SolveOptions.h \
                  ../include/sudoku/Solver.h \
                  ../include/sudoku/System.h \
                  ../include/sudoku/Version.h

SOURCES        += Generator.cpp \
                  Layout.cpp \
                  GeneratorInstance.cpp \
                  Solver.cpp \
                  SolverInstance.cpp \
                  Version.cpp

#
# additional settings
#

PRECOMPILED_HEADER = ../include/sudoku/sudoku.h

RELPATH = ..
include( ../sudoku.pri )
