CONFIG         -= warn_off
CONFIG         += warn_on debug_and_release ppc x86

QMAKE_TARGET_DESCRIPTION = Sudoku - Create and play sudoku
QMAKE_TARGET_COMPANY     = www.sternenwanderer.net
QMAKE_TARGET_COPYRIGHT   = Copyright  2007-2013 Sven Heinzel
QMAKE_TARGET_PRODUCT     = sternenwanderer.net Sudoku

DESTDIR         = $${RELPATH}/compile
!Debug:DESTDIR  = $${RELPATH}/compile/release
Debug:DESTDIR   = $${RELPATH}/compile/debug

INCLUDEPATH    += $${RELPATH}/include

DEFINES        += SUDOKU_BUILD=$$system(perl scripts/build.pl)

macx {
    QMAKE_MAC_SDK = /Developer/SDKs/MacOSX10.4u.sdk
    INCLUDEPATH  += $${QMAKE_MAC_SDK}/System/Library/Frameworks/CoreFoundation.framework/Headers/
    QMAKE_LFLAGS += -F$${QMAKE_MAC_SDK}/System/Library/Frameworks/
    LIBS         += -framework CoreFoundation
}

DEPENDPATH     += $${INCLUDEPATH}

OBJECTS_DIR     = $${DESTDIR}/obj.$${TARGET}
MOC_DIR         = $${OBJECTS_DIR}/meta
UI_DIR          = $${OBJECTS_DIR}/meta
RCC_DIR         = $${OBJECTS_DIR}/meta
