TEMPLATE         = app
TARGET           = sudoku

CONFIG          += qt stl
Debug:CONFIG    += console

QT              += xml
# QT              += gui widgets printsupport

TRANSLATIONS     = ../i18n/sudoku.de_DE.ts

INCLUDEPATH     += include \
                   ../libs/sudoku/include

HEADERS          = include/sudoku_gui.h \
                   include/sudoku_main.h \
                   include/DisplayOptions.h \
                   include/DockWidgets.h \
                   include/ExportOptions.h \
                   include/ExportWidget.h \
                   include/GenerateDialog.h \
                   include/GenerateWidget.h \
                   include/GridView.h \
                   include/MainWindow.h \

SOURCES          = src/sudoku_main.cpp \
                   src/DockWidgets.cpp \
                   src/ExportWidget.cpp \
                   src/GenerateDialog.cpp \
                   src/GenerateWidget.cpp \
                   src/GridView.cpp \
                   src/MainWindow.cpp

#
# additional settings
#

PRECOMPILED_HEADER = include/sudoku_gui.h

RESOURCES       = ../resource/sudoku.qrc
RC_FILE         = ../resource/sudoku.rc
ICON            = ../resource/sudoku.icns

Debug {
    #LIBS       += -L../libs/sol/compile/debug
    LIBS       += -L../libs/sudoku/compile/debug
} else {
    #LIBS       += -L../libs/sol/compile/release
    LIBS       += -L../libs/sudoku/compile/release
}
#LIBS           += -lsol
LIBS           += -lsudoku

RELPATH = .
include( ../libs/sudoku/sudoku.pri )
