/*
sudoku - Create and play sudoku

Copyright (C) 2007 Sven Heinzel <Sven.Heinzel@gmx.net>
 
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
 
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#include "sudoku_gui.h"
#include "ExportWidget.h"

ExportWidget::ExportWidget(
    ExportOptions const  &/*rOptions*/,
    QWidget              *pParent,
    Qt::WindowFlags      flags
)
    : QWidget( pParent, flags )
      /*
    , mpComboType( 0 )
    , mpGroupGrid( 0 )
    , mpSliderCount( 0 )
    , mpSpinCount( 0 )
    , mpCheckSymmetric( 0 )
    */
{
    /*
    mpComboType = new QComboBox( this );
    mpComboType -> addItem( tr( "Empty sudoku" ), Sudoku::GenerateOptions::GenerateEmpty );
    mpComboType -> addItem( tr( "Generate fields" ), Sudoku::GenerateOptions::GenerateFields );
    //mpComboType -> addItem( tr( "Fill fixed fields" ), Sudoku::GenerateOptions::FillFixedFields );
    connect( mpComboType, SIGNAL( currentIndexChanged( int ) ), SLOT( TypeChanged( int ) ) );
    mpGroupGrid = new QGroupBox( tr( "Grid" ), this );
    mpSliderCount = new QSlider( Qt::Horizontal, mpGroupGrid );
    mpSliderCount -> setRange( Sudoku::GenerateOptions::GetFixedFieldsMin(), Sudoku::GenerateOptions::GetFixedFieldsMax() );
    mpSliderCount -> setTracking( true );
    mpSpinCount = new QSpinBox( mpGroupGrid );
    mpSpinCount -> setRange( Sudoku::GenerateOptions::GetFixedFieldsMin(), Sudoku::GenerateOptions::GetFixedFieldsMax() );
    connect( mpSliderCount, SIGNAL( valueChanged( int ) ), mpSpinCount, SLOT( setValue( int ) ) );
    connect( mpSpinCount, SIGNAL( valueChanged( int ) ), mpSliderCount, SLOT( setValue( int ) ) );
    mpCheckSymmetric = new QCheckBox( tr( "Symmetric" ), mpGroupGrid );

    QGridLayout  *p_grid_layout = new QGridLayout( mpGroupGrid );
    p_grid_layout -> addWidget( mpSliderCount, 0, 0 );
    p_grid_layout -> addWidget( mpSpinCount, 0, 1 );
    p_grid_layout -> addWidget( mpCheckSymmetric, 1, 0, 1, 2 );
    p_grid_layout -> setColumnStretch( 0, 1 );

    QVBoxLayout  *p_vbox_layout = new QVBoxLayout( this );
    p_vbox_layout -> setContentsMargins( 0, 0, 0, 0 );
    p_vbox_layout -> addWidget( mpComboType );
    p_vbox_layout -> addWidget( mpGroupGrid );

    // Set initial values
    SetExportOptions( rOptions );
    TypeChanged( mpComboType -> currentIndex() );
    */
}

ExportWidget::~ExportWidget()
{
}
