/*
sudoku - Create and play sudoku

Copyright (C) 2007 Sven Heinzel <Sven.Heinzel@gmx.net>
 
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
 
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#pragma once

#ifndef VERSION_H
#define VERSION_H

#include "sudoku/sudoku.h"
#include "sudoku/sudoku_version.h"

namespace Sudoku {

class Version
{
public:
    static inline int Major() { return SUDOKU_MAJOR; }
    static inline int Minor() { return SUDOKU_MINOR; }
    static inline int Patch() { return SUDOKU_PATCH; }
    static inline int Build() { return SUDOKU_BUILD; }
    static inline std::string Extra() { return SUDOKU_EXTRA; }
    static std::string String();
};

}

#endif
